## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global with_snapshot   0
#%%global shortcommit     1552170
#%%global checkout        g%%{shortcommit}
#%%global upversion       1.3-4
%global postrelease     .post4
%global debug_package   %{nil}

Summary:        AMD Radeon video cards monitoring utility
Name:           radeontop
Version:        1.4
Release:        %autorelease
License:        GPLv3
URL:            https://github.com/clbr/%{name}

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-no-rebuild.patch

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  git-core
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  sed

%description
RadeonTop is a monitoring utility for AMD Radeon cards from R600 and up.

%prep
%autosetup -p1 -n %{name}-%{version}%{?shortcommit:-%{checkout}}
sed -i -e 's/unknown/%{version}/' getver.sh

%build
%set_build_flags
%make_build 

%install
%make_install LIBDIR=%{_lib}
%find_lang %{name}

# Add AppStream metadata
install -Dm 0644 -p %{name}.metainfo.xml \
        %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%check
# Validate Appstream metadata
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/%{name}.metainfo.xml

%files -f %{name}.lang
%doc README.md 
%license COPYING
%{_bindir}/%{name}
# Workaround failure to build on /usr/lib64
%{_libdir}/lib%{name}_xcb.so
%{_mandir}/man1/%{name}.1*
#AppStream metadata
%{_metainfodir}/%{name}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Wed Jun 18 2025 Luya Tshimbalanga <luya@fedoraproject.org> - 1.4-1
- New import
## END: Generated by rpmautospec
